Subject: Re: bug#45619: 28.0.50; pcase-let on MacOS doesn't work

From: Michael Heerdegen <[email-masked]>
Date: Fri, 08 Jan 2021 21:05:33 +0100

Stefan Monnier <[email-masked]> writes:

> An example of a non-linear pattern could be:
>
>     (pcase foo
>       (`(,a . ,a)
>        (message "foo is a pair with car equal to cdr"))
>       ...)

Yes, I sometimes need this for el-searches.

> Could you give some examples of problems you'd like to avoid this way?

I wondered what happens when a pcase form binds a symbol S that is not
defined at compile time (normal case) but then a user loads a package
that declares S as (globally) special.  Then that pcase binding gets
dynamical scope at runtime (as it would happen with any `let' binding),
right?  Sorry if this is silly or trivial, I was just wondering...

Michael.